Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518858 - Remove Cloud and Infrastructure Retirement state machine schema value for PreDeleteFromProvider.
Summary: Remove Cloud and Infrastructure Retirement state machine schema value for Pre...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.0
Hardware: All
OS: All
low
low
Target Milestone: GA
: 5.10.0
Assignee: William Fitzgerald
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 1525170
TreeView+ depends on / blocked
 
Reported: 2017-11-29 16:25 UTC by Josh Carter
Modified: 2018-06-21 21:09 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1525170 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:09:40 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)

Comment 4 Tina Fitzgerald 2017-11-30 21:21:49 UTC
Hi Josh,

Something is odd here....

The OOTB ManageIQ domain
/ManageIQ/Infrastructure/VM/Retirement/StateMachines/VMRetirement/Class
state: PreDeleteFromProvider
value: 
#/Infrastructure/VM/Retirement/StateMachines/Methods/PreDeleteFromProvider

The relationship shouldn't get called because it has a # as the first character.

There is no instance:
/Infrastructure/VM/Retirement/StateMachines/Methods/PreDeleteFromProvider 
so I'm not surprised it failed on that.

We checked our latest 5.9 build and the value is commented out.

Could you navigate to the 
/ManageIQ/Infrastructure/VM/Retirement/StateMachines/VMRetirement class
and let me know if the PreDeleteFromProvider value is commented out or not? 

The work around would be to copy the class to a writable domain and modify the class to remove the value from the PreDeleteFromProvider state.

Let me know if you have any questions.

Thanks,
Tina

Comment 5 Tina Fitzgerald 2017-11-30 22:03:52 UTC
Discussed issue with Josh, setting the priority/severity to low.

The Infrastructure/cloud vm retirement state machines have a commented out entry for predeletefromprovider which should be removed since we don't have an instance or method for it.  Having a value there give users the impression they can uncomment it for additional functionality which is not the case.

Comment 6 Tina Fitzgerald 2017-12-06 21:24:28 UTC
Billy, 

Can you remove the /Infrastructure and /Cloud VM retirement state machine class schema values for the PreDeleteFromProvider 

These values should be removed:
#/Infrastructure/VM/Retirement/StateMachines/Methods/PreDeleteFromProvider
#/Cloud/VM/Retirement/StateMachines/Methods/PreDeleteFromProvider

Thanks,
Tina

Comment 8 CFME Bot 2017-12-11 19:33:25 UTC
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/1641f4a30e7ddf05a618105c0bed9ee89ca44ad8

commit 1641f4a30e7ddf05a618105c0bed9ee89ca44ad8
Author:     william fitzgerald <wfitzger@redhat.com>
AuthorDate: Fri Dec 8 17:49:57 2017 -0500
Commit:     william fitzgerald <wfitzger@redhat.com>
CommitDate: Fri Dec 8 17:49:57 2017 -0500

    Removed the /Infrastructure and /Cloud VM retirement state machine class schema values for the PreDeleteFromProvider.
    
    The Infrastructure/cloud vm retirement state machines have a commented out entry for predeletefromprovider which could (and did) give users the impression they can uncomment it for additional functionality which is not the case.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518858

 .../Cloud/VM/Retirement/StateMachines/VMRetirement.class/__class__.yaml | 2 +-
 .../VM/Retirement/StateMachines/VMRetirement.class/__class__.yaml       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.